Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Ok, amok tests do fail. I know that, but I'm sick of delaying the release for that...
[simgrid.git] / examples / amok / Makefile.in
index ab9848a..6db7a36 100644 (file)
@@ -1,8 +1,8 @@
-# Makefile.in generated by automake 1.9.6 from Makefile.am.
+# Makefile.in generated by automake 1.10.1 from Makefile.am.
 # @configure_input@
 
 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005  Free Software Foundation, Inc.
+# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.
 
 @SET_MAKE@
 
+# Copyright (c) 2004-2007. The SimGrid team. All right reserved.
+
+# This file is part of the SimGrid project. This is free software:
+# You can redistribute and/or modify it under the terms of the
+# GNU LGPL (v2.1) licence.
+
 # Makefile chunk which allows to display the files which should be included
 # into the distribution.
 
 # It is intended to be included in all Makefile.am 
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
+
 VPATH = @srcdir@
 pkgdatadir = $(datadir)/@PACKAGE@
 pkglibdir = $(libdir)/@PACKAGE@
 pkgincludedir = $(includedir)/@PACKAGE@
-top_builddir = ../..
 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-INSTALL = @INSTALL@
 install_sh_DATA = $(install_sh) -c -m 644
 install_sh_PROGRAM = $(install_sh) -c
 install_sh_SCRIPT = $(install_sh) -c
@@ -41,6 +44,16 @@ POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
 target_triplet = @target@
+noinst_PROGRAMS = bandwidth/bandwidth_maestro$(EXEEXT) \
+       bandwidth/bandwidth_sensor$(EXEEXT) \
+       bandwidth/bandwidth_simulator$(EXEEXT) \
+       saturate/saturate_maestro$(EXEEXT) \
+       saturate/saturate_sensor$(EXEEXT) \
+       saturate/saturate_simulator$(EXEEXT)
+@GRAS_ARCH_32_BITS_TRUE@am__append_1 = bandwidth/bandwidth_rl.tesh bandwidth/bandwidth_sg_32.tesh
+@GRAS_ARCH_32_BITS_FALSE@am__append_2 = bandwidth/bandwidth_rl.tesh bandwidth/bandwidth_sg_64.tesh
+@GRAS_ARCH_32_BITS_TRUE@am__append_3 = saturate/saturate_rl.tesh saturate/saturate_sg_32.tesh
+@GRAS_ARCH_32_BITS_FALSE@am__append_4 = saturate/saturate_rl.tesh saturate/saturate_sg_64.tesh
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
        $(top_srcdir)/acmacro/dist-files.mk
 subdir = examples/amok
@@ -58,23 +71,69 @@ am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 mkinstalldirs = $(install_sh) -d
 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
 CONFIG_CLEAN_FILES =
-SOURCES =
-DIST_SOURCES =
-RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
-       html-recursive info-recursive install-data-recursive \
-       install-exec-recursive install-info-recursive \
-       install-recursive installcheck-recursive installdirs-recursive \
-       pdf-recursive ps-recursive uninstall-info-recursive \
-       uninstall-recursive
+PROGRAMS = $(noinst_PROGRAMS)
+am_bandwidth_bandwidth_maestro_OBJECTS = bandwidth.$(OBJEXT) \
+       _bandwidth_maestro.$(OBJEXT)
+bandwidth_bandwidth_maestro_OBJECTS =  \
+       $(am_bandwidth_bandwidth_maestro_OBJECTS)
+bandwidth_bandwidth_maestro_DEPENDENCIES = $(LDADD_RL)
+am__dirstamp = $(am__leading_dot)dirstamp
+am_bandwidth_bandwidth_sensor_OBJECTS = bandwidth.$(OBJEXT) \
+       _bandwidth_sensor.$(OBJEXT)
+bandwidth_bandwidth_sensor_OBJECTS =  \
+       $(am_bandwidth_bandwidth_sensor_OBJECTS)
+bandwidth_bandwidth_sensor_DEPENDENCIES = $(LDADD_RL)
+am_bandwidth_bandwidth_simulator_OBJECTS = bandwidth.$(OBJEXT) \
+       _bandwidth_simulator.$(OBJEXT)
+bandwidth_bandwidth_simulator_OBJECTS =  \
+       $(am_bandwidth_bandwidth_simulator_OBJECTS)
+bandwidth_bandwidth_simulator_DEPENDENCIES = $(LDADD_SG)
+am_saturate_saturate_maestro_OBJECTS = saturate.$(OBJEXT) \
+       _saturate_maestro.$(OBJEXT)
+saturate_saturate_maestro_OBJECTS =  \
+       $(am_saturate_saturate_maestro_OBJECTS)
+saturate_saturate_maestro_DEPENDENCIES = $(LDADD_RL)
+am_saturate_saturate_sensor_OBJECTS = saturate.$(OBJEXT) \
+       _saturate_sensor.$(OBJEXT)
+saturate_saturate_sensor_OBJECTS =  \
+       $(am_saturate_saturate_sensor_OBJECTS)
+saturate_saturate_sensor_DEPENDENCIES = $(LDADD_RL)
+am_saturate_saturate_simulator_OBJECTS = saturate.$(OBJEXT) \
+       _saturate_simulator.$(OBJEXT)
+saturate_saturate_simulator_OBJECTS =  \
+       $(am_saturate_saturate_simulator_OBJECTS)
+saturate_saturate_simulator_DEPENDENCIES = $(LDADD_SG)
+DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src
+depcomp = $(SHELL) $(top_srcdir)/depcomp
+am__depfiles_maybe = depfiles
+COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
+       $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
+       --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
+       $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+CCLD = $(CC)
+LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
+       --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
+       $(LDFLAGS) -o $@
+SOURCES = $(bandwidth_bandwidth_maestro_SOURCES) \
+       $(bandwidth_bandwidth_sensor_SOURCES) \
+       $(bandwidth_bandwidth_simulator_SOURCES) \
+       $(saturate_saturate_maestro_SOURCES) \
+       $(saturate_saturate_sensor_SOURCES) \
+       $(saturate_saturate_simulator_SOURCES)
+DIST_SOURCES = $(bandwidth_bandwidth_maestro_SOURCES) \
+       $(bandwidth_bandwidth_sensor_SOURCES) \
+       $(bandwidth_bandwidth_simulator_SOURCES) \
+       $(saturate_saturate_maestro_SOURCES) \
+       $(saturate_saturate_sensor_SOURCES) \
+       $(saturate_saturate_simulator_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DIST_SUBDIRS = $(SUBDIRS)
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
-AMDEP_FALSE = @AMDEP_FALSE@
-AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
@@ -96,24 +155,27 @@ DEFS = @DEFS@
 DEPDIR = @DEPDIR@
 DLLTOOL = @DLLTOOL@
 DOXYGEN = @DOXYGEN@
+DSYMUTIL = @DSYMUTIL@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
 ECHO_T = @ECHO_T@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
-F77 = @F77@
-FFLAGS = @FFLAGS@
 FLEXML = @FLEXML@
-GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
-GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
+GCJ = @GCJ@
+GCJDEPMODE = @GCJDEPMODE@
+GCJFLAGS = @GCJFLAGS@
 GRAS_DEP = @GRAS_DEP@
-HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
-HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+GREP = @GREP@
+INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+JAR = @JAR@
+JAVA = @JAVA@
+JAVAC = @JAVAC@
 LDFLAGS = @LDFLAGS@
 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
 LEX = @LEX@
@@ -125,10 +187,9 @@ LIBTOOL = @LIBTOOL@
 LN_S = @LN_S@
 LTLIBOBJS = @LTLIBOBJS@
 MAINT = @MAINT@
-MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
-MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
 MAKEINFO = @MAKEINFO@
-MD5SUM = @MD5SUM@
+MKDIR_P = @MKDIR_P@
+NMEDIT = @NMEDIT@
 OBJDUMP = @OBJDUMP@
 OBJEXT = @OBJEXT@
 PACKAGE = @PACKAGE@
@@ -140,9 +201,11 @@ PACKAGE_VERSION = @PACKAGE_VERSION@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
 RANLIB = @RANLIB@
+SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
+SMPI_DEP = @SMPI_DEP@
 STRIP = @STRIP@
 VERSION = @VERSION@
 WARNING = @WARNING@
@@ -151,19 +214,8 @@ abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
 abs_top_srcdir = @abs_top_srcdir@
 ac_configure_args = @ac_configure_args@
-ac_ct_AR = @ac_ct_AR@
-ac_ct_AS = @ac_ct_AS@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
-ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
-ac_ct_F77 = @ac_ct_F77@
-ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_STRIP = @ac_ct_STRIP@
-am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
-am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
-am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
-am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
 am__include = @am__include@
 am__leading_dot = @am__leading_dot@
 am__quote = @am__quote@
@@ -176,38 +228,82 @@ build_cpu = @build_cpu@
 build_id = @build_id@
 build_os = @build_os@
 build_vendor = @build_vendor@
+builddir = @builddir@
 datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
 exec_prefix = @exec_prefix@
 host = @host@
 host_alias = @host_alias@
 host_cpu = @host_cpu@
 host_os = @host_os@
 host_vendor = @host_vendor@
+htmldir = @htmldir@
 includedir = @includedir@
 infodir = @infodir@
 install_sh = @install_sh@
 libdir = @libdir@
 libexecdir = @libexecdir@
+localedir = @localedir@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
+psdir = @psdir@
 pth_skaddr_makecontext = @pth_skaddr_makecontext@
 pth_sksize_makecontext = @pth_sksize_makecontext@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
+srcdir = @srcdir@
 sysconfdir = @sysconfdir@
 target = @target@
 target_alias = @target_alias@
 target_cpu = @target_cpu@
 target_os = @target_os@
 target_vendor = @target_vendor@
-SUBDIRS = bandwidth saturate # alnem 
-all: all-recursive
+top_builddir = @top_builddir@
+top_srcdir = @top_srcdir@
+INCLUDES = -I$(top_srcdir)/include
+AM_CFLAGS = -g
+
+###################
+# Bandwidth tests #
+###################
+
+###################
+# saturate tests #
+###################
+
+#########
+# Cruft #
+#########
+EXTRA_DIST = bandwidth/bandwidth.xml saturate/saturate.xml $(TESTS)
+TESTS_ENVIRONMENT = $(top_builddir)/tools/tesh/tesh
+TESTS = $(am__append_1) $(am__append_2) $(am__append_3) \
+       $(am__append_4)
+XFAIL_TESTS = $(TESTS)
+LDADD_SG = $(top_builddir)/src/libsimgrid.la
+LDADD_RL = $(top_builddir)/src/libgras.la
+bandwidth_bandwidth_simulator_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_simulator.c
+bandwidth_bandwidth_maestro_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_maestro.c
+bandwidth_bandwidth_sensor_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_sensor.c 
+bandwidth_bandwidth_simulator_LDADD = $(LDADD_SG)
+bandwidth_bandwidth_maestro_LDADD = $(LDADD_RL)
+bandwidth_bandwidth_sensor_LDADD = $(LDADD_RL)
+saturate_saturate_simulator_SOURCES = saturate/saturate.c saturate/_saturate_simulator.c
+saturate_saturate_maestro_SOURCES = saturate/saturate.c saturate/_saturate_maestro.c
+saturate_saturate_sensor_SOURCES = saturate/saturate.c saturate/_saturate_sensor.c 
+saturate_saturate_simulator_LDADD = $(LDADD_SG)
+saturate_saturate_maestro_LDADD = $(LDADD_RL)
+saturate_saturate_sensor_LDADD = $(LDADD_RL)
+all: all-am
 
 .SUFFIXES:
+.SUFFIXES: .c .lo .o .obj
 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
        @for dep in $?; do \
          case '$(am__configure_deps)' in \
@@ -238,136 +334,228 @@ $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 
+clean-noinstPROGRAMS:
+       @list='$(noinst_PROGRAMS)'; for p in $$list; do \
+         f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
+         echo " rm -f $$p $$f"; \
+         rm -f $$p $$f ; \
+       done
+bandwidth/$(am__dirstamp):
+       @$(MKDIR_P) bandwidth
+       @: > bandwidth/$(am__dirstamp)
+bandwidth/bandwidth_maestro$(EXEEXT): $(bandwidth_bandwidth_maestro_OBJECTS) $(bandwidth_bandwidth_maestro_DEPENDENCIES) bandwidth/$(am__dirstamp)
+       @rm -f bandwidth/bandwidth_maestro$(EXEEXT)
+       $(LINK) $(bandwidth_bandwidth_maestro_OBJECTS) $(bandwidth_bandwidth_maestro_LDADD) $(LIBS)
+bandwidth/bandwidth_sensor$(EXEEXT): $(bandwidth_bandwidth_sensor_OBJECTS) $(bandwidth_bandwidth_sensor_DEPENDENCIES) bandwidth/$(am__dirstamp)
+       @rm -f bandwidth/bandwidth_sensor$(EXEEXT)
+       $(LINK) $(bandwidth_bandwidth_sensor_OBJECTS) $(bandwidth_bandwidth_sensor_LDADD) $(LIBS)
+bandwidth/bandwidth_simulator$(EXEEXT): $(bandwidth_bandwidth_simulator_OBJECTS) $(bandwidth_bandwidth_simulator_DEPENDENCIES) bandwidth/$(am__dirstamp)
+       @rm -f bandwidth/bandwidth_simulator$(EXEEXT)
+       $(LINK) $(bandwidth_bandwidth_simulator_OBJECTS) $(bandwidth_bandwidth_simulator_LDADD) $(LIBS)
+saturate/$(am__dirstamp):
+       @$(MKDIR_P) saturate
+       @: > saturate/$(am__dirstamp)
+saturate/saturate_maestro$(EXEEXT): $(saturate_saturate_maestro_OBJECTS) $(saturate_saturate_maestro_DEPENDENCIES) saturate/$(am__dirstamp)
+       @rm -f saturate/saturate_maestro$(EXEEXT)
+       $(LINK) $(saturate_saturate_maestro_OBJECTS) $(saturate_saturate_maestro_LDADD) $(LIBS)
+saturate/saturate_sensor$(EXEEXT): $(saturate_saturate_sensor_OBJECTS) $(saturate_saturate_sensor_DEPENDENCIES) saturate/$(am__dirstamp)
+       @rm -f saturate/saturate_sensor$(EXEEXT)
+       $(LINK) $(saturate_saturate_sensor_OBJECTS) $(saturate_saturate_sensor_LDADD) $(LIBS)
+saturate/saturate_simulator$(EXEEXT): $(saturate_saturate_simulator_OBJECTS) $(saturate_saturate_simulator_DEPENDENCIES) saturate/$(am__dirstamp)
+       @rm -f saturate/saturate_simulator$(EXEEXT)
+       $(LINK) $(saturate_saturate_simulator_OBJECTS) $(saturate_saturate_simulator_LDADD) $(LIBS)
+
+mostlyclean-compile:
+       -rm -f *.$(OBJEXT)
+
+distclean-compile:
+       -rm -f *.tab.c
+
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_maestro.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_sensor.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_simulator.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_maestro.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_sensor.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_simulator.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bandwidth.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/saturate.Po@am__quote@
+
+.c.o:
+@am__fastdepCC_TRUE@   $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(COMPILE) -c $<
+
+.c.obj:
+@am__fastdepCC_TRUE@   $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(COMPILE) -c `$(CYGPATH_W) '$<'`
+
+.c.lo:
+@am__fastdepCC_TRUE@   $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(LTCOMPILE) -c -o $@ $<
+
+bandwidth.o: bandwidth/bandwidth.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bandwidth.o -MD -MP -MF $(DEPDIR)/bandwidth.Tpo -c -o bandwidth.o `test -f 'bandwidth/bandwidth.c' || echo '$(srcdir)/'`bandwidth/bandwidth.c
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/bandwidth.Tpo $(DEPDIR)/bandwidth.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='bandwidth/bandwidth.c' object='bandwidth.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bandwidth.o `test -f 'bandwidth/bandwidth.c' || echo '$(srcdir)/'`bandwidth/bandwidth.c
+
+bandwidth.obj: bandwidth/bandwidth.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bandwidth.obj -MD -MP -MF $(DEPDIR)/bandwidth.Tpo -c -o bandwidth.obj `if test -f 'bandwidth/bandwidth.c'; then $(CYGPATH_W) 'bandwidth/bandwidth.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/bandwidth.c'; fi`
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/bandwidth.Tpo $(DEPDIR)/bandwidth.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='bandwidth/bandwidth.c' object='bandwidth.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bandwidth.obj `if test -f 'bandwidth/bandwidth.c'; then $(CYGPATH_W) 'bandwidth/bandwidth.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/bandwidth.c'; fi`
+
+_bandwidth_maestro.o: bandwidth/_bandwidth_maestro.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_maestro.o -MD -MP -MF $(DEPDIR)/_bandwidth_maestro.Tpo -c -o _bandwidth_maestro.o `test -f 'bandwidth/_bandwidth_maestro.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_maestro.c
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/_bandwidth_maestro.Tpo $(DEPDIR)/_bandwidth_maestro.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='bandwidth/_bandwidth_maestro.c' object='_bandwidth_maestro.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_maestro.o `test -f 'bandwidth/_bandwidth_maestro.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_maestro.c
+
+_bandwidth_maestro.obj: bandwidth/_bandwidth_maestro.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_maestro.obj -MD -MP -MF $(DEPDIR)/_bandwidth_maestro.Tpo -c -o _bandwidth_maestro.obj `if test -f 'bandwidth/_bandwidth_maestro.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_maestro.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_maestro.c'; fi`
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/_bandwidth_maestro.Tpo $(DEPDIR)/_bandwidth_maestro.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='bandwidth/_bandwidth_maestro.c' object='_bandwidth_maestro.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_maestro.obj `if test -f 'bandwidth/_bandwidth_maestro.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_maestro.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_maestro.c'; fi`
+
+_bandwidth_sensor.o: bandwidth/_bandwidth_sensor.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_sensor.o -MD -MP -MF $(DEPDIR)/_bandwidth_sensor.Tpo -c -o _bandwidth_sensor.o `test -f 'bandwidth/_bandwidth_sensor.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_sensor.c
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/_bandwidth_sensor.Tpo $(DEPDIR)/_bandwidth_sensor.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='bandwidth/_bandwidth_sensor.c' object='_bandwidth_sensor.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_sensor.o `test -f 'bandwidth/_bandwidth_sensor.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_sensor.c
+
+_bandwidth_sensor.obj: bandwidth/_bandwidth_sensor.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_sensor.obj -MD -MP -MF $(DEPDIR)/_bandwidth_sensor.Tpo -c -o _bandwidth_sensor.obj `if test -f 'bandwidth/_bandwidth_sensor.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_sensor.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_sensor.c'; fi`
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/_bandwidth_sensor.Tpo $(DEPDIR)/_bandwidth_sensor.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='bandwidth/_bandwidth_sensor.c' object='_bandwidth_sensor.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_sensor.obj `if test -f 'bandwidth/_bandwidth_sensor.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_sensor.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_sensor.c'; fi`
+
+_bandwidth_simulator.o: bandwidth/_bandwidth_simulator.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_simulator.o -MD -MP -MF $(DEPDIR)/_bandwidth_simulator.Tpo -c -o _bandwidth_simulator.o `test -f 'bandwidth/_bandwidth_simulator.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_simulator.c
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/_bandwidth_simulator.Tpo $(DEPDIR)/_bandwidth_simulator.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='bandwidth/_bandwidth_simulator.c' object='_bandwidth_simulator.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_simulator.o `test -f 'bandwidth/_bandwidth_simulator.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_simulator.c
+
+_bandwidth_simulator.obj: bandwidth/_bandwidth_simulator.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_simulator.obj -MD -MP -MF $(DEPDIR)/_bandwidth_simulator.Tpo -c -o _bandwidth_simulator.obj `if test -f 'bandwidth/_bandwidth_simulator.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_simulator.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_simulator.c'; fi`
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/_bandwidth_simulator.Tpo $(DEPDIR)/_bandwidth_simulator.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='bandwidth/_bandwidth_simulator.c' object='_bandwidth_simulator.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_simulator.obj `if test -f 'bandwidth/_bandwidth_simulator.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_simulator.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_simulator.c'; fi`
+
+saturate.o: saturate/saturate.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT saturate.o -MD -MP -MF $(DEPDIR)/saturate.Tpo -c -o saturate.o `test -f 'saturate/saturate.c' || echo '$(srcdir)/'`saturate/saturate.c
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/saturate.Tpo $(DEPDIR)/saturate.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='saturate/saturate.c' object='saturate.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o saturate.o `test -f 'saturate/saturate.c' || echo '$(srcdir)/'`saturate/saturate.c
+
+saturate.obj: saturate/saturate.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT saturate.obj -MD -MP -MF $(DEPDIR)/saturate.Tpo -c -o saturate.obj `if test -f 'saturate/saturate.c'; then $(CYGPATH_W) 'saturate/saturate.c'; else $(CYGPATH_W) '$(srcdir)/saturate/saturate.c'; fi`
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/saturate.Tpo $(DEPDIR)/saturate.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='saturate/saturate.c' object='saturate.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o saturate.obj `if test -f 'saturate/saturate.c'; then $(CYGPATH_W) 'saturate/saturate.c'; else $(CYGPATH_W) '$(srcdir)/saturate/saturate.c'; fi`
+
+_saturate_maestro.o: saturate/_saturate_maestro.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_maestro.o -MD -MP -MF $(DEPDIR)/_saturate_maestro.Tpo -c -o _saturate_maestro.o `test -f 'saturate/_saturate_maestro.c' || echo '$(srcdir)/'`saturate/_saturate_maestro.c
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/_saturate_maestro.Tpo $(DEPDIR)/_saturate_maestro.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='saturate/_saturate_maestro.c' object='_saturate_maestro.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_maestro.o `test -f 'saturate/_saturate_maestro.c' || echo '$(srcdir)/'`saturate/_saturate_maestro.c
+
+_saturate_maestro.obj: saturate/_saturate_maestro.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_maestro.obj -MD -MP -MF $(DEPDIR)/_saturate_maestro.Tpo -c -o _saturate_maestro.obj `if test -f 'saturate/_saturate_maestro.c'; then $(CYGPATH_W) 'saturate/_saturate_maestro.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_maestro.c'; fi`
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/_saturate_maestro.Tpo $(DEPDIR)/_saturate_maestro.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='saturate/_saturate_maestro.c' object='_saturate_maestro.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_maestro.obj `if test -f 'saturate/_saturate_maestro.c'; then $(CYGPATH_W) 'saturate/_saturate_maestro.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_maestro.c'; fi`
+
+_saturate_sensor.o: saturate/_saturate_sensor.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_sensor.o -MD -MP -MF $(DEPDIR)/_saturate_sensor.Tpo -c -o _saturate_sensor.o `test -f 'saturate/_saturate_sensor.c' || echo '$(srcdir)/'`saturate/_saturate_sensor.c
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/_saturate_sensor.Tpo $(DEPDIR)/_saturate_sensor.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='saturate/_saturate_sensor.c' object='_saturate_sensor.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_sensor.o `test -f 'saturate/_saturate_sensor.c' || echo '$(srcdir)/'`saturate/_saturate_sensor.c
+
+_saturate_sensor.obj: saturate/_saturate_sensor.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_sensor.obj -MD -MP -MF $(DEPDIR)/_saturate_sensor.Tpo -c -o _saturate_sensor.obj `if test -f 'saturate/_saturate_sensor.c'; then $(CYGPATH_W) 'saturate/_saturate_sensor.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_sensor.c'; fi`
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/_saturate_sensor.Tpo $(DEPDIR)/_saturate_sensor.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='saturate/_saturate_sensor.c' object='_saturate_sensor.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_sensor.obj `if test -f 'saturate/_saturate_sensor.c'; then $(CYGPATH_W) 'saturate/_saturate_sensor.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_sensor.c'; fi`
+
+_saturate_simulator.o: saturate/_saturate_simulator.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_simulator.o -MD -MP -MF $(DEPDIR)/_saturate_simulator.Tpo -c -o _saturate_simulator.o `test -f 'saturate/_saturate_simulator.c' || echo '$(srcdir)/'`saturate/_saturate_simulator.c
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/_saturate_simulator.Tpo $(DEPDIR)/_saturate_simulator.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='saturate/_saturate_simulator.c' object='_saturate_simulator.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_simulator.o `test -f 'saturate/_saturate_simulator.c' || echo '$(srcdir)/'`saturate/_saturate_simulator.c
+
+_saturate_simulator.obj: saturate/_saturate_simulator.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_simulator.obj -MD -MP -MF $(DEPDIR)/_saturate_simulator.Tpo -c -o _saturate_simulator.obj `if test -f 'saturate/_saturate_simulator.c'; then $(CYGPATH_W) 'saturate/_saturate_simulator.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_simulator.c'; fi`
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/_saturate_simulator.Tpo $(DEPDIR)/_saturate_simulator.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='saturate/_saturate_simulator.c' object='_saturate_simulator.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_simulator.obj `if test -f 'saturate/_saturate_simulator.c'; then $(CYGPATH_W) 'saturate/_saturate_simulator.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_simulator.c'; fi`
+
 mostlyclean-libtool:
        -rm -f *.lo
 
 clean-libtool:
        -rm -rf .libs _libs
-
-distclean-libtool:
-       -rm -f libtool
-uninstall-info-am:
-
-# This directory's subdirectories are mostly independent; you can cd
-# into them and run `make' without going through this Makefile.
-# To change the values of `make' variables: instead of editing Makefiles,
-# (1) if the variable is set in `config.status', edit `config.status'
-#     (which will cause the Makefiles to be regenerated when you run `make');
-# (2) otherwise, pass the desired values on the `make' command line.
-$(RECURSIVE_TARGETS):
-       @failcom='exit 1'; \
-       for f in x $$MAKEFLAGS; do \
-         case $$f in \
-           *=* | --[!k]*);; \
-           *k*) failcom='fail=yes';; \
-         esac; \
-       done; \
-       dot_seen=no; \
-       target=`echo $@ | sed s/-recursive//`; \
-       list='$(SUBDIRS)'; for subdir in $$list; do \
-         echo "Making $$target in $$subdir"; \
-         if test "$$subdir" = "."; then \
-           dot_seen=yes; \
-           local_target="$$target-am"; \
-         else \
-           local_target="$$target"; \
-         fi; \
-         (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
-         || eval $$failcom; \
-       done; \
-       if test "$$dot_seen" = "no"; then \
-         $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
-       fi; test -z "$$fail"
-
-mostlyclean-recursive clean-recursive distclean-recursive \
-maintainer-clean-recursive:
-       @failcom='exit 1'; \
-       for f in x $$MAKEFLAGS; do \
-         case $$f in \
-           *=* | --[!k]*);; \
-           *k*) failcom='fail=yes';; \
-         esac; \
-       done; \
-       dot_seen=no; \
-       case "$@" in \
-         distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
-         *) list='$(SUBDIRS)' ;; \
-       esac; \
-       rev=''; for subdir in $$list; do \
-         if test "$$subdir" = "."; then :; else \
-           rev="$$subdir $$rev"; \
-         fi; \
-       done; \
-       rev="$$rev ."; \
-       target=`echo $@ | sed s/-recursive//`; \
-       for subdir in $$rev; do \
-         echo "Making $$target in $$subdir"; \
-         if test "$$subdir" = "."; then \
-           local_target="$$target-am"; \
-         else \
-           local_target="$$target"; \
-         fi; \
-         (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
-         || eval $$failcom; \
-       done && test -z "$$fail"
-tags-recursive:
-       list='$(SUBDIRS)'; for subdir in $$list; do \
-         test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
-       done
-ctags-recursive:
-       list='$(SUBDIRS)'; for subdir in $$list; do \
-         test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
-       done
+       -rm -rf bandwidth/.libs bandwidth/_libs
+       -rm -rf saturate/.libs saturate/_libs
 
 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
        unique=`for i in $$list; do \
            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
          done | \
-         $(AWK) '    { files[$$0] = 1; } \
-              END { for (i in files) print i; }'`; \
+         $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
+             END { if (nonempty) { for (i in files) print i; }; }'`; \
        mkid -fID $$unique
 tags: TAGS
 
-TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
                $(TAGS_FILES) $(LISP)
        tags=; \
        here=`pwd`; \
-       if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
-         include_option=--etags-include; \
-         empty_fix=.; \
-       else \
-         include_option=--include; \
-         empty_fix=; \
-       fi; \
-       list='$(SUBDIRS)'; for subdir in $$list; do \
-         if test "$$subdir" = .; then :; else \
-           test ! -f $$subdir/TAGS || \
-             tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
-         fi; \
-       done; \
        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
        unique=`for i in $$list; do \
            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
          done | \
-         $(AWK) '    { files[$$0] = 1; } \
-              END { for (i in files) print i; }'`; \
+         $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
+             END { if (nonempty) { for (i in files) print i; }; }'`; \
        if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
          test -n "$$unique" || unique=$$empty_fix; \
          $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
            $$tags $$unique; \
        fi
 ctags: CTAGS
-CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
                $(TAGS_FILES) $(LISP)
        tags=; \
-       here=`pwd`; \
        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
        unique=`for i in $$list; do \
            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
          done | \
-         $(AWK) '    { files[$$0] = 1; } \
-              END { for (i in files) print i; }'`; \
+         $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
+             END { if (nonempty) { for (i in files) print i; }; }'`; \
        test -z "$(CTAGS_ARGS)$$tags$$unique" \
          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
             $$tags $$unique
@@ -380,24 +568,95 @@ GTAGS:
 distclean-tags:
        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
 
-distdir: $(DISTFILES)
-       $(mkdir_p) $(distdir)/../../acmacro
-       @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
-       topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
-       list='$(DISTFILES)'; for file in $$list; do \
-         case $$file in \
-           $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
-           $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
-         esac; \
-         if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-         dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
-         if test "$$dir" != "$$file" && test "$$dir" != "."; then \
-           dir="/$$dir"; \
-           $(mkdir_p) "$(distdir)$$dir"; \
+check-TESTS: $(TESTS)
+       @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
+       srcdir=$(srcdir); export srcdir; \
+       list=' $(TESTS) '; \
+       if test -n "$$list"; then \
+         for tst in $$list; do \
+           if test -f ./$$tst; then dir=./; \
+           elif test -f $$tst; then dir=; \
+           else dir="$(srcdir)/"; fi; \
+           if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
+             all=`expr $$all + 1`; \
+             case " $(XFAIL_TESTS) " in \
+             *$$ws$$tst$$ws*) \
+               xpass=`expr $$xpass + 1`; \
+               failed=`expr $$failed + 1`; \
+               echo "XPASS: $$tst"; \
+             ;; \
+             *) \
+               echo "PASS: $$tst"; \
+             ;; \
+             esac; \
+           elif test $$? -ne 77; then \
+             all=`expr $$all + 1`; \
+             case " $(XFAIL_TESTS) " in \
+             *$$ws$$tst$$ws*) \
+               xfail=`expr $$xfail + 1`; \
+               echo "XFAIL: $$tst"; \
+             ;; \
+             *) \
+               failed=`expr $$failed + 1`; \
+               echo "FAIL: $$tst"; \
+             ;; \
+             esac; \
+           else \
+             skip=`expr $$skip + 1`; \
+             echo "SKIP: $$tst"; \
+           fi; \
+         done; \
+         if test "$$failed" -eq 0; then \
+           if test "$$xfail" -eq 0; then \
+             banner="All $$all tests passed"; \
+           else \
+             banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
+           fi; \
          else \
-           dir=''; \
+           if test "$$xpass" -eq 0; then \
+             banner="$$failed of $$all tests failed"; \
+           else \
+             banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
+           fi; \
+         fi; \
+         dashes="$$banner"; \
+         skipped=""; \
+         if test "$$skip" -ne 0; then \
+           skipped="($$skip tests were not run)"; \
+           test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
+             dashes="$$skipped"; \
+         fi; \
+         report=""; \
+         if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
+           report="Please report to $(PACKAGE_BUGREPORT)"; \
+           test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
+             dashes="$$report"; \
          fi; \
+         dashes=`echo "$$dashes" | sed s/./=/g`; \
+         echo "$$dashes"; \
+         echo "$$banner"; \
+         test -z "$$skipped" || echo "$$skipped"; \
+         test -z "$$report" || echo "$$report"; \
+         echo "$$dashes"; \
+         test "$$failed" -eq 0; \
+       else :; fi
+
+distdir: $(DISTFILES)
+       @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+       topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+       list='$(DISTFILES)'; \
+         dist_files=`for file in $$list; do echo $$file; done | \
+         sed -e "s|^$$srcdirstrip/||;t" \
+             -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+       case $$dist_files in \
+         */*) $(MKDIR_P) `echo "$$dist_files" | \
+                          sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+                          sort -u` ;; \
+       esac; \
+       for file in $$dist_files; do \
+         if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
          if test -d $$d/$$file; then \
+           dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
            fi; \
@@ -408,35 +667,20 @@ distdir: $(DISTFILES)
            || exit 1; \
          fi; \
        done
-       list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-         if test "$$subdir" = .; then :; else \
-           test -d "$(distdir)/$$subdir" \
-           || $(mkdir_p) "$(distdir)/$$subdir" \
-           || exit 1; \
-           distdir=`$(am__cd) $(distdir) && pwd`; \
-           top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
-           (cd $$subdir && \
-             $(MAKE) $(AM_MAKEFLAGS) \
-               top_distdir="$$top_distdir" \
-               distdir="$$distdir/$$subdir" \
-               distdir) \
-             || exit 1; \
-         fi; \
-       done
 check-am: all-am
-check: check-recursive
-all-am: Makefile
-installdirs: installdirs-recursive
-installdirs-am:
-install: install-recursive
-install-exec: install-exec-recursive
-install-data: install-data-recursive
-uninstall: uninstall-recursive
+       $(MAKE) $(AM_MAKEFLAGS) check-TESTS
+check: check-am
+all-am: Makefile $(PROGRAMS)
+installdirs:
+install: install-am
+install-exec: install-exec-am
+install-data: install-data-am
+uninstall: uninstall-am
 
 install-am: all-am
        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 
-installcheck: installcheck-recursive
+installcheck: installcheck-am
 install-strip:
        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
@@ -448,72 +692,95 @@ clean-generic:
 
 distclean-generic:
        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+       -rm -f bandwidth/$(am__dirstamp)
+       -rm -f saturate/$(am__dirstamp)
 
 maintainer-clean-generic:
        @echo "This command is intended for maintainers to use"
        @echo "it deletes files that may require special tools to rebuild."
-clean: clean-recursive
+clean: clean-am
 
-clean-am: clean-generic clean-libtool mostlyclean-am
+clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
+       mostlyclean-am
 
-distclean: distclean-recursive
+distclean: distclean-am
+       -rm -rf ./$(DEPDIR)
        -rm -f Makefile
-distclean-am: clean-am distclean-generic distclean-libtool \
+distclean-am: clean-am distclean-compile distclean-generic \
        distclean-tags
 
-dvi: dvi-recursive
+dvi: dvi-am
 
 dvi-am:
 
-html: html-recursive
+html: html-am
 
-info: info-recursive
+info: info-am
 
 info-am:
 
 install-data-am:
 
+install-dvi: install-dvi-am
+
 install-exec-am:
 
-install-info: install-info-recursive
+install-html: install-html-am
+
+install-info: install-info-am
 
 install-man:
 
+install-pdf: install-pdf-am
+
+install-ps: install-ps-am
+
 installcheck-am:
 
-maintainer-clean: maintainer-clean-recursive
+maintainer-clean: maintainer-clean-am
+       -rm -rf ./$(DEPDIR)
        -rm -f Makefile
 maintainer-clean-am: distclean-am maintainer-clean-generic
 
-mostlyclean: mostlyclean-recursive
+mostlyclean: mostlyclean-am
 
-mostlyclean-am: mostlyclean-generic mostlyclean-libtool
+mostlyclean-am: mostlyclean-compile mostlyclean-generic \
+       mostlyclean-libtool
 
-pdf: pdf-recursive
+pdf: pdf-am
 
 pdf-am:
 
-ps: ps-recursive
+ps: ps-am
 
 ps-am:
 
-uninstall-am: uninstall-info-am
+uninstall-am:
 
-uninstall-info: uninstall-info-recursive
+.MAKE: install-am install-strip
 
-.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \
-       clean clean-generic clean-libtool clean-recursive ctags \
-       ctags-recursive distclean distclean-generic distclean-libtool \
-       distclean-recursive distclean-tags distdir dvi dvi-am html \
+.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
+       clean-generic clean-libtool clean-noinstPROGRAMS ctags \
+       distclean distclean-compile distclean-generic \
+       distclean-libtool distclean-tags distdir dvi dvi-am html \
        html-am info info-am install install-am install-data \
-       install-data-am install-exec install-exec-am install-info \
-       install-info-am install-man install-strip installcheck \
-       installcheck-am installdirs installdirs-am maintainer-clean \
-       maintainer-clean-generic maintainer-clean-recursive \
-       mostlyclean mostlyclean-generic mostlyclean-libtool \
-       mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
-       uninstall uninstall-am uninstall-info-am
-
+       install-data-am install-dvi install-dvi-am install-exec \
+       install-exec-am install-html install-html-am install-info \
+       install-info-am install-man install-pdf install-pdf-am \
+       install-ps install-ps-am install-strip installcheck \
+       installcheck-am installdirs maintainer-clean \
+       maintainer-clean-generic mostlyclean mostlyclean-compile \
+       mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
+       tags uninstall uninstall-am
+
+
+# Take care of generatated sources
+bandwidth/_bandwidth_simulator.c bandwidth/_bandwidth_sensor.c bandwidth/_bandwidth_maestro.c : bandwidth/bandwidth.c bandwidth/bandwidth.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
+       cd bandwidth; $(abs_top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ bandwidth $(abs_top_srcdir)/examples/amok/bandwidth/bandwidth.xml
+
+# Take care of generatated sources
+saturate/_saturate_simulator.c saturate/_saturate_sensor.c saturate/_saturate_maestro.c : saturate/saturate.c saturate/saturate.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
+       cd saturate; $(abs_top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ saturate $(abs_top_srcdir)/examples/amok/saturate/saturate.xml
 
 dist-files:
        @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done